# SIOT V2   mqttclient.publishs上报消息位置要加"->"
from educore import wifi,dht,oled
from educore import mqttclient
import time

dhtsensor=dht(1) # 读取板载温湿度的值


wifi.connect(ssid="BCM-RJ",psd="bcm123456",timeout=50000) #尝试连接wifi网络。可以不写参数名称。timeout为可选参数，表示连接超时时长，默认超时时间为10000毫秒
wifi.status() #返回网络连接状态，True表示已连接，False表示未连接
wifi.info() #返回包含当前IP地址、子网掩码、网关等信息的字符串

def received_1ffdf0jpLa():
    msg=mqttclient.message(topic='siot/Speed')
    print(msg)

def send_msg(msg):
    mqttclient.connect(server= "192.168.1.22",
                       port=1883, 
                       client_id="",
                       user= "siot" ,
                       psd= "dfrobot") #阻塞运行，默认超时时间为3秒
    mqttclient.connected() #返回连接状态
    mqttclient.publish(topic='siot/tmp',content= '->'+msg)#向对应主题发送消息,content为发送内容




while True:
    temp,hum=dhtsensor.read()
    send_msg(str(temp))
    time.sleep(3)
    pass