# 这是一个使用示例 This is an example of usage
from educore import oled
import time
from easydisplay import EasyDisplay
from machine import Pin,SPI
from ili9341 import ILI9341
spi = SPI(1, baudrate=40000000, phase=0, polarity=0, sck=Pin(12), mosi=Pin(21))
lcd = ILI9341(spi, cs=Pin(14), dc=Pin(13), rst=Pin(0), w=320, h=240, r=2)
ed = EasyDisplay(lcd, "RGB565", font="/font/text_lite_16px_2312.v3.bmf", show=True, color=0xFFFF, clear=False,auto_wrap=True)
ed.clear()
ed.bmp("/img/cow_240.bmp", 0, 100)
# time.sleep(3)
# ed.pbm("/img/test.pbm", 0, 0)
time.sleep(0.5)
ed.text("你好，世界！\nHello World!", 0, 100)


# 更多高级使用方式详见源码注释：/lib/easydisplay.py
# For more advanced usage, please refer to the source code comments: /lib/easydisplay.py